<?php

	include_once( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	include_once( PLOG_CLASS_PATH."plugins/reflection/class/view/pluginreflectionconfigview.class.php" );

	/**
	 * shows a form with the current configuration
	 */
	class PluginReflectionConfigAction extends AdminAction
	{
		
		function PluginReflectionConfigAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );
		}
		
		function perform()
		{
            $this->_view = new PluginReflectionConfigView( $this->_blogInfo );
			
			$this->setCommonData();
			
			return true;
		}
	}
?>